View Issue Details

IDProjectCategoryView StatusLast Update
0021264LazarusLCLpublic2012-04-05 18:50
ReporterJuha ManninenAssigned ToJuha Manninen 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.31 (SVN)Product Build 
Target Version1.0.0Fixed in Version0.9.31 (SVN) 
Summary0021264: TreeView selection and scrollbar work sometimes wrong with Node.Visible=False
DescriptionTTreeView now supports node visibility. Mouse clicks point to right nodes and scrollbars are updated correctly most of time.
But sometimes it doesn't work.
TreeFilterEdit uses the node visibility and the problem can be seen in Component List.
Steps:

1. Open the Component List (View -> Components)

2. Select the third "Inheritance" tab.

3. Enter filter "k". Now you have list that doesn't fit to the window but the scrollbar doesn't let you scroll. Also, you can't select items like TCheckBox or TNoteBook using mouse.

4. Make the window higher so that all items are visible at the same time (if your screen resolution allows it). Now you can select the items using mouse.


This is basically my own mess which I should clean myself. I improved the node visibility support, but now I am out of ideas. I will continue with this later unless someone finds a fix earlier.
TagsNo tags attached.
Fixed in Revision36577
LazTarget1.0
Widgetset
Attached Files

Activities

Juha Manninen

2012-04-05 18:50

developer   ~0058327

Thanks Martin!

Issue History

Date Modified Username Field Change
2012-02-11 01:43 Juha Manninen New Issue
2012-02-11 01:43 Juha Manninen LazTarget => -
2012-03-13 08:14 Zeljan Rikalo Status new => assigned
2012-03-13 08:14 Zeljan Rikalo Assigned To => Juha Manninen
2012-04-05 14:48 Martin Friebe Fixed in Revision => 36577
2012-04-05 14:48 Martin Friebe LazTarget - => 1.0
2012-04-05 14:48 Martin Friebe Status assigned => resolved
2012-04-05 14:48 Martin Friebe Fixed in Version => 0.9.31 (SVN)
2012-04-05 14:48 Martin Friebe Resolution open => fixed
2012-04-05 14:48 Martin Friebe Target Version => 1.0.0
2012-04-05 18:50 Juha Manninen Status resolved => closed
2012-04-05 18:50 Juha Manninen Note Added: 0058327